Name:           perl-MooseX-NonMoose
Version:        0.22
Release:        1%{?dist}
Summary:        Easy subclassing of non-Moose classes
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-NonMoose/
Source0:        http://www.cpan.org/authors/id/D/DO/DOY/MooseX-NonMoose-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Moose) >= 1.15
BuildRequires:  perl(MooseX::GlobRef)
BuildRequires:  perl(MooseX::InsideOut)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Fatal)
Requires:       perl(Moose) >= 1.15
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
MooseX::NonMoose allows for easily subclassing non-Moose classes with
Moose, taking care of the annoying details connected with doing this, such
as setting up proper inheritance from Moose::Object and installing (and
inlining, at make_immutable time) a constructor that makes sure things like
BUILD methods are called. It tries to be as non-intrusive as possible -
when this module is used, inheriting from non-Moose classes and inheriting
from Moose classes should work identically, aside from the few caveats
mentioned below. One of the goals of this module is that including it in a
Moose::Exporter-based package used across an entire application should be
possible, without interfering with classes that only inherit from Moose
modules, or even classes that don't inherit from anything at all.

%prep
%setup -q -n MooseX-NonMoose-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu May 12 2011 Iain Arnell <iarnell@gmail.com> 0.22-1
- update to latest upstream version

* Wed May 04 2011 Iain Arnell <iarnell@gmail.com> 0.21-1
- update to latest upstream version

* Wed Mar 23 2011 Iain Arnell <iarnell@gmail.com> 0.20-1
- update to latest upstream version

* Fri Mar 04 2011 Iain Arnell <iarnell@gmail.com> 0.19-1
- update to latest upstream version

* Wed Feb 16 2011 Iain Arnell <iarnell@gmail.com> 0.18-1
- update to latest upstream version
- BR perl(MooseX::GlobRef) for additional test coverage

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 19 2010 Iain Arnell <iarnell@gmail.com> 0.17-1
- update to latest upstream version

* Wed Nov 03 2010 Iain Arnell <iarnell@gmail.com> 0.16-2
- requires Moose >= 1.15

* Wed Oct 27 2010 Iain Arnell <iarnell@gmail.com> 0.16-1
- update to latest upstream version

* Tue Oct 05 2010 Iain Arnell <iarnell@gmail.com> 0.15-1
- Specfile autogenerated by cpanspec 1.78.
